API DocumentationShipments
Attach a shipment document
POST
Attaches a file to a shipment. Files larger than 25 MB are rejected.
Phasio API Bearer Tokenheader
AuthorizationBearer <token>orderId*integerID of the order the shipment belongs to
Format
int64shipmentId*stringID of the shipment to attach the document to
Format
uuidmultipart/form-data- body
file*fileFile to upload
Format
binaryDocument uploaded successfully
application/json- response
id*stringFormat
uuidname*stringcontentType*stringsize*integerFormat
int64uploadedBy*createdAt*stringFormat
date-timecurl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/order/1/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents' \ -F 'file=string'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "contentType": "string", "size": 0, "uploadedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "displayName": "string" }, "createdAt": "2019-08-24T14:15:22Z"}